- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoSolutionUnaryMetric< ObjectiveVector, R > Class Template Reference

Base class for unary metrics dedicated to the performance evaluation of a single solution's objective vector. More...

`#include <moeoMetric.h>`

Inheritance diagram for moeoSolutionUnaryMetric< ObjectiveVector, R >:

## Detailed Description

### template<class ObjectiveVector, class R>
class moeoSolutionUnaryMetric< ObjectiveVector, R >

Base class for unary metrics dedicated to the performance evaluation of a single solution's objective vector.

Definition at line 45 of file moeoMetric.h.

The documentation for this class was generated from the following file:

- moeoMetric.h